#1877 closed defect (fixed)

RBTree: compare function instead of key

Reported by: Petr Benes Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@…, gedare@… Blocked By:
Blocking:

Description

This patch extracts key from the RBTree nodes and introduces an user defined comparison function. Test adjustment included.

2011-08-02 Petr Benes <benesp16@…>

  • cpukit/sapi/inline/rtems/rbtree.inl, cpukit/score/include/rtems/score/rbtree.h, cpukit/score/inline/rtems/score/rbtree.inl, cpukit/score/src/rbtree.c, cpukit/score/src/rbtreefind.c, cpukit/score/src/rbtreeinsert.c, testsuites/sptests/sprbtree01/init.c: Compare function for RBTrees

Attachments (1)

rbtree_compare_function.diff (17.0 KB) - added by Petr Benes on Aug 2, 2011 at 1:36:25 PM.
RBTree compare function

Download all attachments as: .zip

Change History (8)

Changed on Aug 2, 2011 at 1:36:25 PM by Petr Benes

RBTree compare function

comment:1 Changed on Aug 2, 2011 at 2:40:58 PM by Joel Sherrill

Cc: giddyup44@… added

comment:2 Changed on Aug 2, 2011 at 6:26:22 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:3 Changed on Aug 3, 2011 at 12:57:44 PM by Joel Sherrill

Resolution: fixed
Status: closedreopened, sebastian.huber@embedded-brains.de

comment:4 Changed on Aug 3, 2011 at 2:17:44 PM by Petr Benes

blocked: 1886

comment:5 Changed on Aug 5, 2011 at 7:08:52 AM by Gedare Bloom

blocked: 1891

comment:6 Changed on Dec 3, 2013 at 3:23:08 PM by Gedare Bloom

Resolution: fixed
Status: reopenedclosed

Closing.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.